phpBB 3.2.1 Import?

Cromulent

Member
I already have Xenforo running on another forum but I've been thinking about switching a phpBB forum I also run over to Xenforo but from looking at the manual Xenforo only supports importing from phpBB 3.0.x and 3.1.x and not 3.2.x which is what I am currently running.

Is it likely to change at some point? phpBB 3.2 has been out since January and I can't be the only person who upgraded to it before considering the implications when it came to moving over to Xenforo in the future.

Any advice?
 

Claudio

Well-known member
I already have Xenforo running on another forum but I've been thinking about switching a phpBB forum I also run over to Xenforo but from looking at the manual Xenforo only supports importing from phpBB 3.0.x and 3.1.x and not 3.2.x which is what I am currently running.

Is it likely to change at some point? phpBB 3.2 has been out since January and I can't be the only person who upgraded to it before considering the implications when it came to moving over to Xenforo in the future.

Any advice?
Hi,

There is no official converter from phpBB 3.2 to XenForo. However, we offer a conversion service from phpbB 3.2.x forums to XenForo
 

Cromulent

Member
Hi,

There is no official converter from phpBB 3.2 to XenForo. However, we offer a conversion service from phpbB 3.2.x forums to XenForo
How much are we talking about here? This is a tiny forum for a guild I run in an MMO. I don't really want to spend a massive amount on the forum. A Xenforo license and a theme for it is already pushing my budget somewhat.

I was kinda hoping that the devs would update the already existing importer for phpBB as more and more people are going to be running it and will want to migrate to Xenforo at some point.
 

Cromulent

Member
Just saw this in the Xenforo 1.5.15 release notes:
  • Add beta support for importing from phpBB 3.2 and IPB 4.2.
So looks like when that importer is production ready I'll be able to transfer my forum over to Xenforo if I want to. I'll wait for some other people to find the bugs though.
 

Brogan

XenForo moderator
Staff member
You could do a test import and see how it works.

You may be pleasantly surprised.
 

Chris D

XenForo developer
Staff member
Unfortunately the truth is that if people who can test it (such as yourself) choose to wait until it's stable then frankly it will never be declared as stable.

The changes we made to the importer for phpBB 3.2 mostly revolved around how the post content is now stored in a BB code / HTML kind of hybrid, so the import will work, but paying attention to how the post content is converted to our BB code is the main thing to test.
 

Cromulent

Member
Unfortunately the truth is that if people who can test it (such as yourself) choose to wait until it's stable then frankly it will never be declared as stable.

The changes we made to the importer for phpBB 3.2 mostly revolved around how the post content is now stored in a BB code / HTML kind of hybrid, so the import will work, but paying attention to how the post content is converted to our BB code is the main thing to test.
Ah, OK. I'll try and give it a test when I have some spare time and see how it goes. If I find any problems I'll post in the relevant forum.
 

lutmark

New member
po wprowadzeniu lokalizacji awatarów i lokalizacji załączników pojawia się taki komunikat. Określony katalog nie został znaleziony.
Katalog avatarów nie został znaleziony.
 

Tracy Perry

Well-known member
po wprowadzeniu lokalizacji awatarów i lokalizacji załączników pojawia się taki komunikat. Określony katalog nie został znaleziony.
Katalog avatarów nie został znaleziony.
Questions need to be in English, and support is provided here for questions about imports. If you haven't already, link your username to your customer profile and post the request (in English) in that area for assistance. The issue you are inquiring about is typically a simple one to fix.
 

Tracy Perry

Well-known member
I used Google translate also and that was the reason that I recommended a certain area to post for assistance (installation/upgrade/import support) since it is a support type question that would only be asked by someone running the script (and presumably having a valid license) - but rules state that posts are to be in English, not a language that has to be translated to understand and requests for any support related topics need to be done in the licensed area.
 
Top